### Method

# Panel SessionItem set_id

#### Declaration [src]

    void
    panel_session_item_set_id (
      PanelSessionItem* self,
      const char* id
    )

#### Description [src]

Sets the identifier for the item.

The identifier should generally be global to the session as it would not be expected to come across multiple items with the same id.

Sets property | `Panel.SessionItem:id`

#### Parameters

`id`

  Type: `const char*`

  An optional identifier for the item.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.